org.eclipse.oomph.resources.backend

## Class LocalBackendSystem.Member

- java.lang.Object
- - org.eclipse.oomph.resources.backend.LocalBackendSystem.Member

- Enclosing class:
    LocalBackendSystem

      public static final class LocalBackendSystem.Member
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalBackendSystem.Member(String name, BackendResource.Type type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `BackendResource.Type` | `getType()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalBackendSystem.Member

          public LocalBackendSystem.Member(String name,
                                   BackendResource.Type type)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getType

          public BackendResource.Type getType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html